Pages
List pages
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Header Parameters
Target workspace id. Defaults to the key’s workspace.
uuidTarget site id. Defaults to the workspace’s default site.
uuidResponse Body
curl -X GET "https://api.hostdocs.io/api/v1/pages" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-site-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"data": [
{}
]
}Create and publish a page
Requires the write scope.
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Header Parameters
Target workspace id. Defaults to the key’s workspace.
uuidTarget site id. Defaults to the workspace’s default site.
uuid1 <= length <= 20481 <= length1 <= lengthlength <= 255^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidResponse Body
curl -X POST "https://api.hostdocs.io/api/v1/pages" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-site-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "path": "string" }'{
"success": true,
"data": {}
}Get a page
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Path Parameters
uuidHeader Parameters
Target workspace id. Defaults to the key’s workspace.
uuidResponse Body
curl -X GET "https://api.hostdocs.io/api/v1/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"data": {}
}Delete (unpublish) a page
Requires the write scope.
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Path Parameters
uuidHeader Parameters
Target workspace id. Defaults to the key’s workspace.
uuidResponse Body
curl -X DELETE "https://api.hostdocs.io/api/v1/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"data": {}
}Replace a page’s HTML (new version)
Requires the write scope.
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Path Parameters
uuidHeader Parameters
Target workspace id. Defaults to the key’s workspace.
uuid1 <= lengthResponse Body
curl -X PUT "https://api.hostdocs.io/api/v1/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/content" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "html": "string" }'{
"success": true,
"data": {}
}